Accessibility

Security bulletin

Security updates available for Adobe Flash Player

Release date: August 21, 2012

Last updated: September 28, 2012

Vulnerability identifier: APSB12-19

Priority: See table below

CVE number: CVE-2012-4163, CVE-2012-4164, CVE-2012-4165, CVE-2012-4166, CVE-2012-4167, CVE-2012-4168, CVE-2012-4171, CVE-2012-5054

Platform: All Platforms

Summary

Adobe has released security updates for Adobe Flash Player 11.3.300.271 and earlier versions for Windows and Macintosh, Adobe Flash Player 11.2.202.236 and earlier versions for Linux, Adobe Flash Player 11.1.115.11 and earlier versions for Android 4.x, and Adobe Flash Player 11.1.111.10 and earlier versions for Android 3.x and 2.x. These updates address vulnerabilities that could cause a crash and potentially allow an attacker to take control of the affected system.

Adobe recommends users update their product installations to the latest versions:

  • Users of Adobe Flash Player 11.3.300.271 and earlier versions for Windows and Macintosh should update to Adobe Flash Player 11.4.402.265.
  • Users of Adobe Flash Player 11.2.202.236 and earlier versions for Linux should update to Adobe Flash Player 11.2.202.238.
  • Flash Player installed with Google Chrome will automatically be updated to the latest Google Chrome version, which will include Adobe Flash Player 11.3.31.230 for Windows and Linux, and Flash Player 11.4.402.265 for Macintosh.
  • Users of Adobe Flash Player 11.1.115.11 and earlier versions on Android 4.x devices should update to Adobe Flash Player 11.1.115.17.
  • Users of Adobe Flash Player 11.1.111.10 and earlier versions for Android 3.x and earlier versions should update to Flash Player 11.1.111.16.
  • Users of Adobe AIR 3.3.0.3670 for Windows and Macintosh should update to Adobe AIR 3.4.0.2540.
  • Users of the Adobe AIR 3.3.0.3690 SDK (includes AIR for iOS) should update to the Adobe AIR 3.4.0.2540 SDK.
  • Users of the Adobe AIR 3.3.0.3650 and earlier versions for Android should update to the Adobe AIR 3.4.0.2540.

Affected software versions

  • Adobe Flash Player 11.3.300.271 and earlier versions for Windows and Macintosh operating systems
  • Adobe Flash Player 11.2.202.236 and earlier versions for Linux operating system
  • Adobe Flash Player 11.1.115.11 and earlier versions for Android 4.x
  • Adobe Flash Player 11.1.111.10 and earlier versions for Android 3.x and 2.x
  • Adobe AIR 3.3.0.3670 and earlier versions for Windows and Macintosh
  • Adobe AIR 3.3.0.3690 SDK (includes AIR for iOS) and earlier versions
  • Adobe AIR 3.3.0.3650 and earlier versions for Android

To verify the version of Adobe Flash Player installed on your system, access the About Flash Player page, or right-click on content running in Flash Player and select "About Adobe (or Macromedia) Flash Player" from the menu. If you use multiple browsers, perform the check for each browser you have installed on your system.

To verify the version of Adobe Flash Player for Android, go to Settings > Applications > Manage Applications > Adobe Flash Player x.x.

To verify the version of Adobe AIR installed on your system, follow the instructions in the Adobe AIR TechNote.

Solution

Adobe recommends users update their software installations by following the instructions below:

  • Adobe recommends users of Adobe Flash Player 11.3.300.271 and earlier versions for Windows and Macintosh should update to the newest version 11.4.402.265 by downloading it from the Adobe Flash Player Download Center. Windows users and users of Adobe Flash Player 10.3.x or later for Macintosh can also install the update via the update mechanism within the product when prompted.
  • For users of Flash Player 11.3.300.271 and earlier versions for Windows and Macintosh, who cannot update to Flash Player 11.4.402.265, Adobe has made available the update Flash Player 10.3.183.23, which can be downloaded here.
  • Adobe recommends users of Adobe Flash Player 11.2.202.236 and earlier versions for Linux should update to Adobe Flash Player 11.2.202.238 by downloading it from the Adobe Flash Player Download Center.
  • For users of Flash Player 11.2.202.236 and earlier versions for Linux, who cannot update to Flash Player 11.2.202.238, Adobe has made available the update Flash Player 10.3.183.23, which can be downloaded here.
  • Flash Player installed with Google Chrome will automatically be updated to the latest Google Chrome version, which will include Adobe Flash Player 11.3.31.230 for Windows and Linux, and Flash Player 11.4.402.265 for Macintosh.
  • Users of Adobe Flash Player 11.1.115.11 and earlier versions on Android 4.x devices should update to Adobe Flash Player 11.1.115.17 by updating to devices that already have Flash Player installed prior to August 15, 2012.
  • Users of Adobe Flash Player 11.1.111.10 and earlier versions for Android 3.x and earlier versions should update to Flash Player 11.1.111.16 by updating to devices that already have Flash Player installed prior to August 15, 2012.
  • Users of Adobe AIR 3.3.0.3670 for Windows and Macintosh should update to Adobe AIR 3.4.0.2540.
  • Users of the Adobe AIR 3.3.0.3690 SDK (includes AIR for iOS) should update to the Adobe AIR 3.4.0.2540 SDK.
  • Users of the Adobe AIR 3.3.0.3650 and earlier versions for Android should update to Adobe AIR 3.4.0.2540 by browsing to Google Play or the Amazon Marketplace on an Android device.

Priority and Severity ratings

Adobe categorizes these updates with the following priority ratings and recommends users update their installations to the newest versions:

Product
Updated Version
Platform
Priority Rating
Adobe Flash Player 11.4.402.265 Windows
1
  11.4.402.265 Macintosh
2
  11.2.202.238 Linux
3
  11.1.115.17 Android 4.x
3
  11.1.111.16 Android 3.x and 2.x
3
Adobe AIR 3.4.0.2540 Windows and Macintosh
3
  3.4.0.2540 SDK (including AIR for iOS) and Android
3


These updates address critical vulnerabilities in the software.

Details

Adobe has released security updates for Adobe Flash Player 11.3.300.271 and earlier versions for Windows and Macintosh, Adobe Flash Player 11.2.202.236 and earlier versions for Linux, Adobe Flash Player 11.1.115.11 and earlier versions for Android 4.x, and Adobe Flash Player 11.1.111.10 and earlier versions for Android 3.x and 2.x. These updates address vulnerabilities that could cause a crash and potentially allow an attacker to take control of the affected system.

Adobe recommends users update their product installations to the latest versions:

  • Users of Adobe Flash Player 11.3.300.271 and earlier versions for Windows and Macintosh should update to Adobe Flash Player 11.4.402.265.
  • Users of Adobe Flash Player 11.2.202.236 and earlier versions for Linux should update to Adobe Flash Player 11.2.202.238.
  • Flash Player installed with Google Chrome will automatically be updated to the latest Google Chrome version, which will include Adobe Flash Player 11.3.31.230 for Windows and Linux, and Flash Player 11.4.402.265 for Macintosh
  • Users of Adobe Flash Player 11.1.115.11 and earlier versions on Android 4.x devices should update to Adobe Flash Player 11.1.115.17.
  • Users of Adobe Flash Player 11.1.111.10 and earlier versions for Android 3.x and earlier versions should update to Flash Player 11.1.111.16.
  • Users of Adobe AIR 3.3.0.3670 for Windows and Macintosh should update to Adobe AIR 3.4.0.2540.
  • Users of the Adobe AIR 3.3.0.3690 SDK (includes AIR for iOS) should update to the Adobe AIR 3.4.0.2540 SDK.
  • Users of the Adobe AIR 3.3.0.3650 and earlier versions for Android should update to the Adobe AIR 3.4.0.2540.

These updates resolve memory corruption vulnerabilities that could lead to code execution (CVE-2012-4163, CVE-2012-4164, CVE-2012-4165, CVE-2012-4166).

These updates resolve an integer overflow vulnerability that could lead to code execution (CVE-2012-4167).

These updates resolve a cross-domain information leak vulnerability (CVE-2012-4168).

These updates resolve a crash caused by a logic error involving multiple dialogs in Firefox (CVE-2012-4171).

These updates resolve a Matrix3D integer overflow vulnerability that could lead to code execution (CVE-2012-5054).

Affected software

Recommended player update

Availability

Flash Player 11.3.300.271 and earlier for Windows and Macintosh

11.4.402.265

Flash Player Download Center

Flash Player 11.3.300.271 and earlier -
network distribution

11.4.402.265

Flash Player Licensing

Flash Player 11.2.202.236 and earlier for Linux

11.2.202.238

Flash Player Download Center

Flash Player 11.1.115.11 and earlier for Android 4.x

11.1.115.17

Update to devices that already have Flash Player installed prior to August 15, 2012

Flash Player 11.1.111.10 and earlier for Android 3.x and 2.x

11.1.111.16

Update to devices that already have Flash Player installed prior to August 15, 2012

Flash Player 11.3.300.271 and earlier for Chrome users
(Windows and Linux)

11.3.31.230

Google Chrome Releases

Flash Player 11.3.300.271 and earlier for Chrome users
(Macintosh)

11.4.402.265

Google Chrome Releases

Flash Player 11.3.372.94 and earlier in Internet Explorer 10

11.3.374.7

Windows Download Center

AIR 3.3.0.3670 and earlier for Windows and Macintosh

3.4.0.2540

AIR Download Center

AIR 3.3.0.3690 SDK (includes AIR for iOS) and earlier

3.4.0.2540

AIR SDK Download

AIR 3.3.0.3650 and earlier for Android

3.4.0.2540

Google Play
(browse to on an Android device)
Amazon Marketplace

(browse to on an Android device)

Acknowledgments

Adobe would like to thank the following individuals and organizations for reporting the relevant issues and for working with Adobe to help protect our customers:

Revisions

September 28, 2012 - Added information regarding Flash Player in Internet Explorer 10.
September 24, 2012 - Added information regarding CVE-2012-5054.
August 30, 2012 - Added information regarding CVE-2012-4171.
August 28, 2012 - Added information regarding Flash Player 10.3.x for Linux.
August 21, 2012 - Bulletin released.